#!/usr/bin/env python
#-------------------------------------------
#
# Copyright (c) 2001 DataChannel, Inc. All Rights Reserved.
#
# LGPL 2.1
#
# $Id:$
#
#-------------------------------------------

import atexit
import sys

import sample

from omniORB import CORBA

orb = CORBA.ORB_init(sys.argv, CORBA.ORB_ID)

serv = orb.string_to_object(sys.argv[1])
serv = serv._narrow(sample.Server)
print "serv=%s" % serv

session = serv.getSession()

def logout_atexit(session):
    try:
        session.logout()
    except: pass
atexit.register(logout_atexit, session)

print "session=%s" % session

def runSomeTests():
    print "Create a StorageObject named 'foo'"
    foo = session.createStorageObject('foo')
    print foo

    print "Write 'mary had a little lamb' to foo"
    foo.write(0, 'mary had a little lamb')
    print "Content of foo: '%s'" % foo.read(0, 0)

    print "Create a StorageObject named 'bar'"
    bar = session.createStorageObject('bar')
    print bar

    print "Names of all StorageObjects:"
    print map(lambda so: so.getName(), session.getStorageObjects())
