#!/usr/bin/env python
#-------------------------------------------
#
# Copyright (c) 2001 DataChannel, Inc. All Rights Reserved.
#
# LGPL 2.1
#
# $Id:$
#
#-------------------------------------------

import ZODB
from ZODB import FileStorage

import os.path
import sys, os, getopt, string
import re

from Server import SampleServer

import omniORB
omniORB.traceLevel(1)

import CORBA

def main(argv):
    orb = CORBA.ORB_init(sys.argv, CORBA.ORB_ID)
    storage = FileStorage.FileStorage('data.fs')

    serv = SampleServer(storage, "SampleServer")
    servObj = serv._this()

    file = open('SampleServer.ior', 'w')
    ior = orb.object_to_string(servObj)
    file.write(ior)
    file.close()

    print "Started SampleServer %s" % servObj

    orb.run()

if __name__=='__main__':
    main(sys.argv)
